#
# spec file for package qputty (Version 0.0.1)
#

# norootforbuild

%define putty_version 0.60-2010-12-27
%define hg_version d3d9d0472c9e

Name:           qputty
Summary:        A QT4 port for putty, the free telnet/ssh client
License:        GNU General Public License (GPL) v2
Group:          Productivity/Networking/SSH
Version:        0.0.1hg20101220
Release:        2.58
URL:            http://sourceforge.net/projects/qputty/
Source0:        http://qputty.hg.sourceforge.net/hgweb/qputty/qputty/%{name}-%{hg_version}.tar.bz2
Source1:	putty-%{putty_version}.tar.bz2
Source2:	%{name}.desktop
Source100:	%{name}.changes 
Patch0:		putty-cursor-svn.diff
Patch1:		putty-defsess-svn.diff
Patch2:		%{name}-backport_qt43.diff
BuildRequires:  libqt4-devel update-desktop-files krb5-devel libgssglue-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on

%description 
Qputty is a QT4 port for putty, the free telnet/ssh client by Simon Tatham
Using putty as widget in your application.

Author:
-------
		"fourjs" http://sourceforge.net/users/fourjs

PuTTY is a free (MIT-licensed) Win32 Telnet and SSH client.
PuTTY can be obtained from  http://www.chiark.greenend.org.uk/~sgtatham/putty/

Author:
-------
  Simon Tatham



%prep
%setup -q -n %{name}-%{hg_version}
tar xf %{SOURCE1}

# apply patches also used for the "original" putty package
pushd putty-%{putty_version}
%patch0 -p0
%patch1 -p0
popd
%if 0%{?suse_version} <= 1120
%patch2 -p0
%endif

%build
# VERSION and PUTTY_SRC_VERSION are used in qputty.pro
# SNAPSHOT is in $PUTTY_HOME/version.def and avoids having the builddate in the binary
/usr/bin/qmake PUTTY_HOME=$(pwd)/putty-%{putty_version} \
	VERSION="%{version}" \
	PUTTY_SRC_VERSION="%{putty_version}" \
	DEFINES="SNAPSHOT=2010-12-27" \
	QMAKE_CFLAGS="%{optflags}" \
	QMAKE_CXXFLAGS="%{optflags}"
# make the build more verbose....
sed -i 's/= @/= /' Makefile
# build the binary SUBLIBS is a hack to add the missing libs to the linker
%__make %{?jobs:-j%{jobs}} SUBLIBS="-lX11 -ldl"

%install
# install the binary
install -D -m 755 qPutty $RPM_BUILD_ROOT%{_bindir}/%{name}

# install desktop file & icon
install -D -m 644 putty-32.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%suse_update_desktop_file %{name} Network RemoteAccess Qt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc gpl-2.0.txt README
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/%{name}

%changelog
* Sun May 20 2012 seife+obs@b1-systems.com
- add specfile hack to make the build more verbose for rpmlint
- fix build on 12.1+ by adding explicit X11 and dl libs to linker
- remove builddate from binary
- use %%optflags for build
- use qmake variables instead of editing the qputty.pro file
* Mon Dec 27 2010 AxelKoellhofer@web.de 0.0.1hg20101220
- updated to latest snapshot from mercurial repository
- updated putty to latest svn-snapshot (0-60-2010-12-27)
- patches refreshed
- added libgssglue-devel to BuildRequires
- added backport patch for openSUSE <= 11.2
* Tue Apr  6 2010 packman@links2linux.de - 0.0.1hg20100324
- updated to latest snapshot from mercurial repository
* Fri Mar 12 2010 packman@links2linux.de - 0.0.1hg20100309
- updated to latest snapshot from mercurial repository
* Sun Feb  7 2010 packman@links2linux.de - 0.0.1hg20100112
- initial package, sources pulled from mercurial repo
- putty sources from snapshot of 2010-01-31
